sgl_test {sglOptim} | R Documentation

## Test a sgl-Objective

### Description

This function will run tests on the gradient and hessian functions implemented in a C++ objective module. Detected problems will be printed to the console.'

### Usage

    sgl_test(module_name, PACKAGE, data, parameterGrouping, groupWeights,
      parameterWeights, algorithm.config = sgl.standard.config)

### Arguments

`module_name` | reference to objective specific C++ routines.
`PACKAGE` | name of the calling package.
`data` | a list of data objects – will be parsed to the specified module.
`parameterGrouping` | grouping of parameters, a vector of length p. Each element of the vector specifying the group of the parameters in the corresponding column of β.
`groupWeights` | the group weights, a vector of length `length(unique(parameterGrouping))` (the number of groups).
`parameterWeights` | a matrix of size q \times p.
`algorithm.config` | the algorithm configuration to be used.

### Value

The number of found problems

### Author(s)

Martin Vincent

[Package sglOptim version 1.3.8 Index]